Bug 909802 - (ghc-unix-time) Review Request: ghc-unix-time - Unix time parser/formatter and utilities
Review Request: ghc-unix-time - Unix time parser/formatter and utilities
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-11 01:27 EST by Jens Petersen
Modified: 2013-04-04 19:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 19:52:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-02-11 01:27:27 EST
Spec URL: http://petersen.fedorapeople.org//ghc-unix-time.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-unix-time-0.1.4-1.fc18.src.rpm

Description:
Fast parser, formatter, and utilities for Unix time
Comment 1 Jens Petersen 2013-02-11 01:27:33 EST
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4948697
Comment 2 Jens Petersen 2013-02-11 01:30:31 EST
Needed by ghc-fast-logger.
Comment 3 Michel Alexandre Salim 2013-03-20 05:05:29 EDT
Taking this review
Comment 4 Michel Alexandre Salim 2013-03-20 05:21:24 EDT
Review done, package is APPROVED -- note that 0.1.5 is out, please update when importing

vi
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 163840 bytes in 21 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
     0.1.5 is out
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: 
0 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------


Provides
--------


MD5-sum check
-------------
http://hackage.haskell.org/packages/archive/unix-time/0.1.4/unix-time-0.1.4.tar.gz :
  CHECKSUM(SHA256) this package     : 855bed734cccd25bce95c36d306acf11cb29e9c760bee863239f4c594e4e1fa9
  CHECKSUM(SHA256) upstream package : 855bed734cccd25bce95c36d306acf11cb29e9c760bee863239f4c594e4e1fa9


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 909802
Comment 5 Jens Petersen 2013-03-22 01:24:38 EDT
(In reply to comment #4)
> Review done, package is APPROVED -- note that 0.1.5 is out, please update
> when importing

Okay, thanks!


New Package SCM Request
=======================
Package Name: ghc-unix-time
Short Description: Fast parser, formatter, and utilities for Unix time
Owners: petersen
Branches: f19 f18 f17 el6
InitialCC: haskell-sig
Comment 6 Jon Ciesla 2013-03-22 08:49:42 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-03-22 23:21:31 EDT
ghc-unix-time-0.1.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-unix-time-0.1.5-1.fc17
Comment 8 Fedora Update System 2013-03-22 23:21:42 EDT
ghc-unix-time-0.1.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-unix-time-0.1.5-1.fc18
Comment 9 Fedora Update System 2013-03-23 19:55:30 EDT
ghc-unix-time-0.1.5-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-04-04 19:52:07 EDT
ghc-unix-time-0.1.5-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-04-04 19:55:39 EDT
ghc-unix-time-0.1.5-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.